Skip to main content
DocsPlatformsAPI ReferenceAI & Integrations
ApiConnect

Submit Instagram Selection

POST/v1/connect/instagram/selection/{token}

Path Parameters

token*string
Length20 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/connect/instagram/selection/stringstringstringst" \  -H "Content-Type: application/json" \  -d '{    "selectedAccountIds": [      "string"    ]  }'
{
  "success": true,
  "platform": "instagram",
  "message": "string",
  "redirectUri": "string",
  "integrations": [
    {
      "id": "string",
      "platform": "twitter",
      "platformUserId": "string",
      "username": "string",
      "displayName": "string",
      "profileUrl": "http://example.com",
      "imageUrl": "http://example.com",
      "platformMetadata": {},
      "profileId": "string",
      "profileName": "string",
      "appId": "string",
      "app": {
        "id": "string",
        "name": "string",
        "imageUrl": "string"
      },
      "byok": true,
      "authStatus": "active",
      "authFailureReason": "token_expired",
      "insightsReadable": true,
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}